# S.T.A.L.K.E.R.: Call of Prypiat 1.0.2
# BID: BBA39C65C1CC6463

unsafeCheck: true

ALL_FPS:
  # psLoadedFrameLimitFps
  -
    type: evaluate_write
    address: [MAIN, 0x17F9784]
    value_type: float
    value: FPS_LOCK_TARGET
  # psCurrentFrameLimitFps
  -
    type: evaluate_write
    address: [MAIN, 0x18168A0]
    value_type: float
    value: FPS_LOCK_TARGET
  # psCurrentFrameLimitMs
  -
    type: evaluate_write
    address: [MAIN, 0x1A8490C]
    value_type: float
    value: "1000 / FPS_LOCK_TARGET"
  # ResolutionInfo::sDynresGPUBudgetMs
  -
    type: evaluate_write
    address: [MAIN, 0x17F9760]
    value_type: float
    value: "0.99 * FRAMETIME_TARGET"